<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo List</title>
</head>
<body>
    <main>
        <div>
            <h1>{{ todo_list_detail.name }}</h1>
            <p>
                <a href="{% url 'todo_list_update' todo_list_detail.id %}">Edit</a>
            </p>
            <p>
                <a href="{% url 'todo_list_delete' todo_list_detail.id %}">Delete</a>
            </p>

            <h2>Tasks</h2>
            <table>
                <thead>
                    <tr>
                        <th>Task</th>
                        <th>Due date</th>
                    </tr>
                </thead>
                <tbody>
                    {% for todo_detail in todo_list_detail.items.all %}
                    <tr>
                        <td>
                            <a href="{% url 'todo_item_update' todo_detail.id %}">{{ todo_detail.task }}</a>
                        </td>
                        <td>{{ todo_detail.due_date|date:"M j, Y" }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>
